# Interface IRequestInfo<T>

Information about a request

## Index

### Properties

- begun
- headers
- method
- queryString
- requestData
- requestDataType
- url

## Properties

### begun

begun: Date

- Defined in rest/EndpointCaller.ts :79

The timestamp at which the request started

### Optional headers

headers: IStringMap<string>

- Defined in rest/EndpointCaller.ts :87

The headers for the request.

### method

method: string

- Defined in rest/EndpointCaller.ts :83

The method that was used for this request

### queryString

queryString: string[]

- Defined in rest/EndpointCaller.ts :67

The query string parameters that were used for this request

### requestData

requestData: IStringMap<T>

- Defined in rest/EndpointCaller.ts :71

The data that was sent for this request

### requestDataType

requestDataType: string

- Defined in rest/EndpointCaller.ts :75

The requestDataType that was used for this request

### url

url: string

- Defined in rest/EndpointCaller.ts :63

Url that was requested

### Type parameters

- #### T

### Hierarchy

- IRequestInfo